### Method

# Meta Display get_keybinding_action

#### Declaration [src]

    guint
    meta_display_get_keybinding_action (
      MetaDisplay* display,
      unsigned int keycode,
      unsigned long mask
    )

#### Description [src]

Get the keybinding action bound to `keycode`. Builtin keybindings have a fixed associated `MetaKeyBindingAction`, for bindings added dynamically the function will return the keybinding action `meta_display_add_keybinding()` returns on registration.

#### Parameters

`keycode`

  Type: `unsigned int`

  Raw keycode.

`mask`

  Type: `unsigned long`

  Event mask.

#### Return value

Type: `guint`

The action that should be taken for the given key, or `META_KEYBINDING_ACTION_NONE`.